Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.icon
Class IconImpl

    java.lang.Object
      de.grogra.icon.IconImpl

All Implemented Interfaces:
  Icon

    public class IconImpl

extends java.lang.Object
implements Icon

Field Summary

Fields inherited from interface de.grogra.icon.Icon
`DEFAULT, DISABLED`

Constructor Summary
`IconImpl(IconSource source, Icon icon)`
`IconImpl(IconSource source, java.net.URL url)`
`IconImpl(IconSource source, java.net.URL url, java.awt.Image image, java.awt.Rectangle bounds)`

Method Summary
`java.awt.Rectangle` | `getIconBounds()`
`IconSource` | `getIconSource()`
`java.awt.Image` | `getImage()`
`java.awt.Image` | `getImage(int w, int h)`
`java.net.URL` | `getImageSource()`
`boolean` | `isMutable()`
`void` | `paintIcon(java.awt.Component c, java.awt.Graphics2D g, int x, int y, int w, int h, int state)`
`void` | `prepareIcon()`
`void` | `setTolerance(int tolerance)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IconImpl

    public IconImpl(IconSource source,
                    Icon icon)

### IconImpl

    public IconImpl(IconSource source,
                    java.net.URL url)

### IconImpl

    public IconImpl(IconSource source,
                    java.net.URL url,
                    java.awt.Image image,
                    java.awt.Rectangle bounds)

Method Detail

### getIconBounds

    public java.awt.Rectangle getIconBounds()

  Specified by:
    `getIconBounds` in interface `Icon`

### getIconSource

    public IconSource getIconSource()

  Specified by:
    `getIconSource` in interface `Icon`

### getImage

    public java.awt.Image getImage()

  Specified by:
    `getImage` in interface `Icon`

### getImage

    public java.awt.Image getImage(int w,
                                   int h)

  Specified by:
    `getImage` in interface `Icon`

### getImageSource

    public java.net.URL getImageSource()

  Specified by:
    `getImageSource` in interface `Icon`

### isMutable

    public boolean isMutable()

  Specified by:
    `isMutable` in interface `Icon`

### paintIcon

    public void paintIcon(java.awt.Component c,
                          java.awt.Graphics2D g,
                          int x,
                          int y,
                          int w,
                          int h,
                          int state)

  Specified by:
    `paintIcon` in interface `Icon`

### prepareIcon

    public void prepareIcon()

  Specified by:
    `prepareIcon` in interface `Icon`

### setTolerance

    public void setTolerance(int tolerance)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD